<!DOCTYPE html>
<html lang="es">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Crear Item de Slider</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">

    <style>
        .image-preview {
            display: flex;
            flex-wrap: wrap;
        }

        .image-preview .img-container {
            width: 100%;
            height: 100px;
            overflow: hidden;
            display: flex;
            align-items: center;
            justify-content: center;
        }

        .image-preview img {
            width: 100%;
            height: 100%;
            object-fit: cover;
            /* Ajusta la imagen para cubrir todo el espacio sin deformarse */
        }
    </style>
</head>

<body>
    <div class="container mt-5">
        <h2 class="mb-4">Modificar Slider</h2>
        <form>
            <div class="row border border-secondary shadow">
                <div class="col-md-6">
                    <div class="form-group">
                        <label for="titulo" class="m-3">Título</label>
                        <input type="text" class="form-control" id="titulo" placeholder="Ingrese el título">
                    </div>
                    <div class="form-group">
                        <label for="descripcion" class="m-3">Descripción</label>
                        <textarea class="form-control" id="descripcion" rows="3" placeholder="Ingrese la descripción"></textarea>
                    </div>
                    <div class="form-group">
                        <label for="enlace" class="m-3">Enlace</label>
                        <input type="url" class="form-control" id="enlace" placeholder="Ingrese el enlace">
                    </div>
                    <hr>
                    <a type="submit" href="{{ route('dashboardAdmin.carousel.index') }}"
                        class="btn btn-success mt-3">Guardar</a>
                    <a type="button" href="{{ route('dashboardAdmin.carousel.index') }}"
                        class="btn btn-warning mt-3">Cancelar</a>
                </div>
                <div class="col-md-6">
                    <div class="form-group mb-3">
                        <label for="imagenes" class="form-label m-3">Cargar Imágenes</label>
                        <input class="form-control" type="file" id="imagenes" multiple>
                    </div>
                    <button type="button" class="btn btn-primary" onclick="cargarImagenes()">Cargar Imágenes</button>
                    <div class="row mt-3 image-preview" id="imagePreview">
                        <div class="col-sm-3">
                            <div class="d-flex justify-content-end position-relative">
                                <div class="position-absolute top-0 end-0 mt-2 me-2">
                                    <button class="btn btn-danger"><i class="fas fa-trash"></i></button>
                                </div>
                                <img src="{{ asset('assets/img/banner_img_01.jpg') }}" class="img-fluid" alt="Imagen 1">
                            </div>
                        </div>
                        <div class="col-sm-3">
                            <div class="d-flex justify-content-end position-relative">
                                <div class="position-absolute top-0 end-0 mt-2 me-2">
                                    <button class="btn btn-danger"><i class="fas fa-trash"></i></button>
                                </div>
                                <img src="{{ asset('assets/img/banner_img_02.jpg') }}" class="img-fluid" alt="Imagen 1">
                            </div>
                        </div>
                        <div class="col-sm-3">
                            <div class="d-flex justify-content-end position-relative">
                                <div class="position-absolute top-0 end-0 mt-2 me-2">
                                    <button class="btn btn-danger"><i class="fas fa-trash"></i></button>
                                </div>
                                <img src="{{ asset('assets/img/banner_img_03.jpg') }}" class="img-fluid" alt="Imagen 1">
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </form>
    </div>

    <!-- JS -->
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.3/dist/umd/popper.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <script>
        // Array para almacenar los datos de las imágenes
        const imagenesArray = [];

        function cargarImagenes() {
            const imagePreview = document.getElementById('imagePreview');
            const imagenesInput = document.getElementById('imagenes');

            if (imagenesInput.files) {
                Array.from(imagenesInput.files).forEach(file => {
                    const reader = new FileReader();
                    reader.onload = function(e) {
                        // Crear una columna de Bootstrap
                        const col = document.createElement('div');
                        col.classList.add('col-md-3', 'mb-3'); // Cambiado a col-md-3

                        // Crear un contenedor para la imagen con las clases adecuadas para tamaño y ajuste
                        const imgContainer = document.createElement('div');
                        imgContainer.classList.add('img-container', 'img-thumbnail', 'p-0', 'border-0');

                        // Crear una imagen y añadirla al contenedor de la imagen
                        const img = document.createElement('img');
                        img.src = e.target.result;
                        imgContainer.appendChild(img);

                        // Añadir el contenedor de la imagen a la columna
                        col.appendChild(imgContainer);

                        // Añadir la columna a la previsualización
                        imagePreview.appendChild(col);

                        // Añadir la imagen al array
                        imagenesArray.push(e.target.result);
                    }
                    reader.readAsDataURL(file);
                });
            }
        }

        // Ejemplo de cómo podrías enviar el formulario con las imágenes almacenadas
        document.querySelector('form').addEventListener('submit', function(event) {
            event.preventDefault();

            const titulo = document.getElementById('titulo').value;
            const descripcion = document.getElementById('descripcion').value;
            const enlace = document.getElementById('enlace').value;

            const data = {
                titulo: titulo,
                descripcion: descripcion,
                enlace: enlace,
                imagenes: imagenesArray
            };

            console.log(data);

            // Aquí enviar los datos a la bd
        });
    </script>
</body>

</html>
